App\Library\Amazon\Classes\Hobbies:
    xml_root_name: Hobbies
    properties:
        activeSurfaceArea:
            expose: true
            access_type: public_method
            serialized_name: ActiveSurfaceArea
            accessor:
                getter: getActiveSurfaceArea
                setter: setActiveSurfaceArea
            type: string
        wingArea:
            expose: true
            access_type: public_method
            serialized_name: WingArea
            accessor:
                getter: getWingArea
                setter: setWingArea
            type: string
        collectionName:
            expose: true
            access_type: public_method
            serialized_name: CollectionName
            accessor:
                getter: getCollectionName
                setter: setCollectionName
            type: string
        genre:
            expose: true
            access_type: public_method
            serialized_name: Genre
            accessor:
                getter: getGenre
                setter: setGenre
            type: string
        initialPrintRunRarity:
            expose: true
            access_type: public_method
            serialized_name: InitialPrintRunRarity
            accessor:
                getter: getInitialPrintRunRarity
                setter: setInitialPrintRunRarity
            type: string
        specificUsesForProduct:
            expose: true
            access_type: public_method
            serialized_name: SpecificUsesForProduct
            accessor:
                getter: getSpecificUsesForProduct
                setter: setSpecificUsesForProduct
            type: string
        brakeStyle:
            expose: true
            access_type: public_method
            serialized_name: BrakeStyle
            accessor:
                getter: getBrakeStyle
                setter: setBrakeStyle
            type: string
        controlType:
            expose: true
            access_type: public_method
            serialized_name: ControlType
            accessor:
                getter: getControlType
                setter: setControlType
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        driveSystem:
            expose: true
            access_type: public_method
            serialized_name: DriveSystem
            accessor:
                getter: getDriveSystem
                setter: setDriveSystem
            type: string
        educationalObjective:
            expose: true
            access_type: public_method
            serialized_name: EducationalObjective
            accessor:
                getter: getEducationalObjective
                setter: setEducationalObjective
            type: string
        frameMaterialType:
            expose: true
            access_type: public_method
            serialized_name: FrameMaterialType
            accessor:
                getter: getFrameMaterialType
                setter: setFrameMaterialType
            type: string
        fuelCapacity:
            expose: true
            access_type: public_method
            serialized_name: FuelCapacity
            accessor:
                getter: getFuelCapacity
                setter: setFuelCapacity
            type: App\Library\Amazon\Classes\VolumeDimensionType
        fuelType:
            expose: true
            access_type: public_method
            serialized_name: FuelType
            accessor:
                getter: getFuelType
                setter: setFuelType
            type: string
        isElectric:
            expose: true
            access_type: public_method
            serialized_name: IsElectric
            accessor:
                getter: getIsElectric
                setter: setIsElectric
            type: boolean
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        maximumRange:
            expose: true
            access_type: public_method
            serialized_name: MaximumRange
            accessor:
                getter: getMaximumRange
                setter: setMaximumRange
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumSpeed:
            expose: true
            access_type: public_method
            serialized_name: MaximumSpeed
            accessor:
                getter: getMaximumSpeed
                setter: setMaximumSpeed
            type: App\Library\Amazon\Classes\SpeedDimensionType
        motorType:
            expose: true
            access_type: public_method
            serialized_name: MotorType
            accessor:
                getter: getMotorType
                setter: setMotorType
            type: string
        publisherContributor:
            expose: true
            access_type: public_method
            serialized_name: PublisherContributor
            accessor:
                getter: getPublisherContributor
                setter: setPublisherContributor
            type: string
        displaySize:
            expose: true
            access_type: public_method
            serialized_name: DisplaySize
            accessor:
                getter: getDisplaySize
                setter: setDisplaySize
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayType:
            expose: true
            access_type: public_method
            serialized_name: DisplayType
            accessor:
                getter: getDisplayType
                setter: setDisplayType
            type: string
        engineDisplacement:
            expose: true
            access_type: public_method
            serialized_name: EngineDisplacement
            accessor:
                getter: getEngineDisplacement
                setter: setEngineDisplacement
            type: App\Library\Amazon\Classes\VolumeDimensionType
        liquidVolume:
            expose: true
            access_type: public_method
            serialized_name: LiquidVolume
            accessor:
                getter: getLiquidVolume
                setter: setLiquidVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: App\Library\Amazon\Classes\EnergyConsumptionDimensionType
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: App\Library\Amazon\Classes\VoltageDecimalDimensionType
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        numberOfFrequencyChannels:
            expose: true
            access_type: public_method
            serialized_name: NumberOfFrequencyChannels
            accessor:
                getter: getNumberOfFrequencyChannels
                setter: setNumberOfFrequencyChannels
            type: integer
        movementType:
            expose: true
            access_type: public_method
            serialized_name: MovementType
            accessor:
                getter: getMovementType
                setter: setMovementType
            type: string
        surfaceRecommendation:
            expose: true
            access_type: public_method
            serialized_name: SurfaceRecommendation
            accessor:
                getter: getSurfaceRecommendation
                setter: setSurfaceRecommendation
            type: string
        animalType:
            expose: true
            access_type: public_method
            serialized_name: AnimalType
            accessor:
                getter: getAnimalType
                setter: setAnimalType
            type: string
        publisher:
            expose: true
            access_type: public_method
            serialized_name: Publisher
            accessor:
                getter: getPublisher
                setter: setPublisher
            type: string
        radioBandsSupported:
            expose: true
            access_type: public_method
            serialized_name: RadioBandsSupported
            accessor:
                getter: getRadioBandsSupported
                setter: setRadioBandsSupported
            type: string
        railType:
            expose: true
            access_type: public_method
            serialized_name: RailType
            accessor:
                getter: getRailType
                setter: setRailType
            type: string
        scale:
            expose: true
            access_type: public_method
            serialized_name: Scale
            accessor:
                getter: getScale
                setter: setScale
            type: string
        skillLevel:
            expose: true
            access_type: public_method
            serialized_name: SkillLevel
            accessor:
                getter: getSkillLevel
                setter: setSkillLevel
            type: string
        suspensionType:
            expose: true
            access_type: public_method
            serialized_name: SuspensionType
            accessor:
                getter: getSuspensionType
                setter: setSuspensionType
            type: string
        productTheme:
            expose: true
            access_type: public_method
            serialized_name: ProductTheme
            accessor:
                getter: getProductTheme
                setter: setProductTheme
            type: string
        tireType:
            expose: true
            access_type: public_method
            serialized_name: TireType
            accessor:
                getter: getTireType
                setter: setTireType
            type: string
        toyAwardName:
            expose: true
            access_type: public_method
            serialized_name: ToyAwardName
            accessor:
                getter: getToyAwardName
                setter: setToyAwardName
            xml_list:
                inline: true
                entry_name: ToyAwardName
            type: array<string>
        wheelDiameter:
            expose: true
            access_type: public_method
            serialized_name: WheelDiameter
            accessor:
                getter: getWheelDiameter
                setter: setWheelDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        wheelType:
            expose: true
            access_type: public_method
            serialized_name: WheelType
            accessor:
                getter: getWheelType
                setter: setWheelType
            type: string
        distributionDesignation:
            expose: true
            access_type: public_method
            serialized_name: DistributionDesignation
            accessor:
                getter: getDistributionDesignation
                setter: setDistributionDesignation
            type: string
        countryString:
            expose: true
            access_type: public_method
            serialized_name: CountryString
            accessor:
                getter: getCountryString
                setter: setCountryString
            type: string
